AOFLAGGER(1)

NAME
AOFlagger - execute an RFI strategy on one or several observations

SYNOPSIS
aoflagger [options] <obs1> [<obs2> [..]]

DESCRIPTION
This program will execute an RFI strategy as can be created with the RFI gui and executes it on one or several observations. This tool supports at least the Casa measurement set, the SDFITS and Filterbank formats. See the documentation for support of other file types.

The old name of this program is rficonsole.

OPTIONS

-v  produce verbose output

-j  overrides the number of threads specified in the strategy (default: one thread for each CPU core)

-strategy
    specifies a possible customized strategy

-direct-read
    perform the slowest IO but will always work.

-indirect-read
    reorder the measurement set before starting, which is normally faster but requires free disk space to reorder the data to.

-memory-read
    read the entire measurement set in memory. This is the fastest, but requires much memory.

-auto-read-mode
    select either memory or direct mode based on available memory (default).

-skip-flagged
    skip an ms if it has already been processed by AOFlagger according to its HISTORY table.

-uvw
    reads uvw values (some exotic strategies require these)

-column <name>
    specify column to flag

-bands <list>
    comma separated list of (zero-indexed) band ids to process

-fields <list>
    comma separated list of (zero-indexed) field ids to process

AUTHOR
André Offringa <offringa@gmail.com>